Bug 220075 - devel/flexjson: update to 2.1 and takeover maintainership
Summary: devel/flexjson: update to 2.1 and takeover maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL: http://flexjson.sourceforge.net/chang...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-17 07:59 UTC by Jov
Modified: 2018-02-10 01:12 UTC (History)
3 users (show)

See Also:


Attachments
flexjson-3.2.diff (753 bytes, patch)
2017-06-17 07:59 UTC, Jov
no flags Details | Diff
flexjson-2.1.diff (1.34 KB, patch)
2017-06-18 14:45 UTC, Jov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jov 2017-06-17 07:59:35 UTC
Created attachment 183564 [details]
flexjson-3.2.diff

QA:

poudriere testport passed on 11.0Ramd64
Comment 1 Richard Gallamore freebsd_committer 2017-06-18 13:55:43 UTC
(In reply to Jov from comment #0)
This is a version update and the checksum is the same.
Comment 2 Jov 2017-06-18 14:44:30 UTC
(In reply to Richard Gallamore from comment #1)
my bad.
the offical site say latest version is 3.2,but the sf download page shows the latest download version is 2.1.
Anyway,I update the patch, update to 2.1
Comment 3 Jov 2017-06-18 14:45:33 UTC
Created attachment 183605 [details]
flexjson-2.1.diff
Comment 4 Richard Gallamore freebsd_committer 2017-06-18 14:54:17 UTC
(In reply to Jov from comment #3)
There appear to be some newer sources available here, for instance:

http://grepcode.com/snapshot/repo1.maven.org/maven2/net.sf.flexjson/flexjson/3.3/

This update needs some more work -- change to a different MASTERSITE, unpack the sources from a .jar file, account for the new dependencies on junit and slf4j-{api,simple} (junit is probably just a TEST_DEPENDS). Oh, and version 3.3 is available too.
- Matthew@
https://reviews.freebsd.org/D11258
Comment 5 Walter Schwarzenfeld freebsd_triage 2018-01-19 00:27:20 UTC
Any news here?
Comment 6 commit-hook freebsd_committer 2018-02-10 01:12:01 UTC
A commit references this bug:

Author: yuri
Date: Sat Feb 10 01:11:57 UTC 2018
New revision: 461358
URL: https://svnweb.freebsd.org/changeset/ports/461358

Log:
  devel/flexjson: Update to 2.1

  amutu@amutu.com took maintainership.

  Additional port changes:
  * DISTVERSION
  * Update of MASTER_SITES.
  * No need for USES=zip any more.
  * No need for NO_WRKSUBDIR.
  * Minor change in do-install.
  * PORTDOCS to the end.

  PR:		220075
  Submitted by:	Jov <amutu@amutu.com>
  Approved by:	tcberner (mentor, implicit)

Changes:
  head/devel/flexjson/Makefile
  head/devel/flexjson/distinfo
Comment 7 Yuri Victorovich freebsd_committer 2018-02-10 01:12:09 UTC
Committed with changes.
Thank you for your submission, and taking maintainership!

Yuri